---
layout: job_family_page
title: "Business Systems Administrator"
description: "Business Systems Administrators work on the configuration of GitLab's Salesforce.com instance and all packages, tools and integrations associated with it."
---

## Business Systems Administrator
Business Systems Administrators work on the configuration of GitLab's Salesforce.com instance and all packages, tools and integrations associated with it.
They work with Field Operation's internal customers such as Sales, Marketing, Customer Success and Finance to gather requirements for improvement projects and then execute on those projects.
They work with a combined team of Business Systems Engineers, Data Analysts, and Sales Operations Specialists to keep our Go-To-Market processes automated and efficient.

### Requirements
* Demonstrated progressive experience in a Sales Operations, Business Operations or Business Systems role.
* Received or pursuing the Salesforce.com Administrator certification.
* Experience with Quote to Cash or Configure, Price, Quote functionality.
* Understanding of the Salesforce.com data model and how to effectively extract, transform and load data.
* An inclination towards communication, inclusion, and visibility.
* Experience owning and driving a project from concept to production, including proposal, discussion, and execution.
* Self-motivated and self-managing, with strong organizational skills.
* Demonstrated ability to work collaboratively and across teams.
* Experience with Zuora and Zuora CPQ.
* Experience with DataFox, DiscoverOrg or similar data enrichment tools.
* Salesforce.com App Builder, Architect or other advanced certifications.
* Experience working at a subscription based product company.
* Experience working in an Agile team work environment.
* You share our [values](/handbook/values/), and work in accordance with those values.
* [Leadership at GitLab](/handbook/leadership/#management-group)
* Ability to use GitLab

### Responsibilities
* Support our internal customers by fielding any and all questions, solving problems on the spot or routing them to who can solve in a timely manner.
* Oversee the configuration and support of our suite of Sales Tools, being the go-to person for any questions or improvement ideas.
* Build enhancements with Salesforce.com configuration such as workflow rules, validation rules, process builder and lightning components.
* Expert knowledge on the use of Salesforce.com objects such as Accounts, Contacts, Leads, Opportunities, Quotes, and Campaigns.
* Jump in and own short range Sales efficiency projects, having real impact on Sales performance.
* Gather business requirements for improvement projects and synthizie them into technical specifications for Business Systems Engineers to build.

### Performance Indicators 
* [Net ARR vs. plan > 1](/handbook/sales/sales-term-glossary/arr-in-practice/#incremental-annual-contract-value-iacv)
* [Net ARR efficiency > 1.0](/handbook/sales/#iavc-efficiency-ratio)
* [System Roll Out vs Plan](/handbook/business-technology/metrics/#system-roll-out-vs-plan)

<%= partial("job-families/sales/performance", :locals => { :roleName => "Business Systems Administrator" }) %>

## Levels
Read more about [levels](/handbook/hiring/vacancies/#definitions) at GitLab here.

### Junior Business Systems Administrator

The Junior Business Systems Administrator role extends the Business Systems Administrator role but without the specific demonstrated progressive experience requirement.

#### Job Grade

The Junior Business Systems Administrator is a [grade 5](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements
* Demonstrated progressive experience in a Sales Operations, Business Operations or Business Systems role.
* Demonstrated progressive experience in Sales Operations, Business Operations or Business Systems role.
* Received or pursuing the Salesforce.com Administrator certification.
* Experience with Quote to Cash or Configure, Price, Quote functionality.
* Understanding of the Salesforce.com data model and how to effectively extract, transform and load data.
* An inclination towards communication, inclusion, and visibility.
* Experience owning and driving a project from concept to production, including proposal, discussion, and execution.
* Self-motivated and self-managing, with strong organizational skills.
* Demonstrated ability to work collaboratively and across teams.
* Experience with Zuora and Zuora CPQ.
* Experience with DataFox, DiscoverOrg, or similar data enrichment tools.
* Salesforce.com App Builder, Architect or other advanced certifications.
* Experience working at a subscription based product company.
* Experience working in an Agile team work environment.
* You share our [values](/handbook/values/), and work in accordance with those values.
* [Leadership at GitLab](/handbook/leadership/#management-group)
* Ability to use GitLab

### Responsibilities
* Support our internal customers by fielding any and all questions, solving problems on the spot or routing them to who can solve in a timely manner.
* Oversee the configuration and support of our suite of Sales tools, being the go-to person for any questions or improvement ideas.
* Build enhancements with Salesforce.com configuration such as workflow rules, validation rules, process builder and lightning components.
* Expert knowledge on the use of Salesforce.com objects such as Accounts, Contacts, Leads, Opportunities, Quotes, and Campaigns.
* Jump in and own short range Sales efficiency projects, having real impact on Sales performance.
* Gather business requirements for improvement projects and synthizie them into technical specifications for Business Systems Engineers to build.

### Performance Indicators 
* [Net ARR vs. plan > 1](/handbook/sales/sales-term-glossary/arr-in-practice/#incremental-annual-contract-value-iacv)
* [Net ARR efficiency > 1.0](/handbook/sales/#iavc-efficiency-ratio)
* [System Roll Out vs Plan](/handbook/business-technology/metrics/#system-roll-out-vs-plan)

### Intermediate Business Systems Administrator

#### Job Grade

The Business Systems Administrator is a [grade 6](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

### Requirements
* Demonstrated progressive experience in a Sales Operations, Business Operations or Business Systems role.
* Demonstrated progressive experience in Sales Operations, Business Operations or Business Systems role.
* Received or pursuing the Salesforce.com Administrator certification.
* Experience with Quote to Cash or Configure, Price, Quote functionality.
* Understanding of the Salesforce.com data model and how to effectively extract, transform and load data.
* An inclination towards communication, inclusion, and visibility.
* Experience owning and driving a project from concept to production, including proposal, discussion, and execution.
* Self-motivated and self-managing, with strong organizational skills.
* Demonstrated ability to work collaboratively and across teams.
* Experience with Zuora and Zuora CPQ.
* Experience with DataFox, DiscoverOrg or similar data enrichment tools.
* Salesforce.com App Builder, Architect or other advanced certifications.
* Experience working at a subscription based product company.
* Experience working in an Agile team work environment.
* You share our [values](/handbook/values/), and work in accordance with those values.
* [Leadership at GitLab](/handbook/leadership/#management-group)
* Ability to use GitLab

### Responsibilities
* Support our internal customers by fielding any and all questions, solving problems on the spot or routing them to who can solve in a timely manner.
* Oversee the configuration and support of our suite of Sales Tools, being the go-to person for any questions or improvement ideas.
* Build enhancements with Salesforce.com configuration such as workflow rules, validation rules, process builder and lightning components.
* Expert knowledge on the use of Salesforce.com objects such as Accounts, Contacts, Leads, Opportunities, Quotes, and Campaigns.
* Jump in and own short range Sales efficiency projects, having real impact on Sales performance.
* Gather business requirements for improvement projects and synthizie them into technical specifications for Business Systems Engineers to build.

### Performance Indicators 
* [Net ARR vs. plan > 1](/handbook/sales/sales-term-glossary/arr-in-practice/#incremental-annual-contract-value-iacv)
* [Net ARR efficiency > 1.0](/handbook/sales/#iavc-efficiency-ratio)
* [System Roll Out vs Plan](/handbook/business-technology/metrics/#system-roll-out-vs-plan)

### Senior Business Systems Administrator

The Senior Business Systems Administrator role extends the Business Systems Administrator role.

#### Job Grade

The Senior Business Systems Administrator is a [grade 7](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Requirements
* Demonstrated progressive experience in a Business Systems Administrator role.
* Demonstrated progressive experience in Sales Operations, Business Operations or Business Systems role.
* Received or pursuing the Salesforce.com Advanced Administrator certification.
* Proven track record of driving projects to timely completion with end user accepted deliverables.
* Experience with Zuora and Zuora CPQ.
* Experience with DataFox, DiscoverOrg or similar data enrichment tools.
* Salesforce.com App Builder, Architect or other advanced certifications.
* Experience working at a subscription based product company.
* Experience working in an Agile team work environment.
* You share our [values](/handbook/values/), and work in accordance with those values.
* [Leadership at GitLab](/handbook/leadership/#management-group)
* Ability to use GitLab

### Responsibilities
* Support our internal customers by fielding any and all questions, solving problems on the spot or routing them to who can solve in a timely manner.
* Oversee the configuration and support of our suite of Sales tools, being the go-to person for any questions or improvement ideas.
* Build enhancements with Salesforce.com configuration such as workflow rules, validation rules, process builder and lightning components.
* Expert knowledge on the use of Salesforce.com objects such as Accounts, Contacts, Leads, Opportunities, Quotes, and Campaigns.
* Jump in and own short range Sales efficiency projects, having real impact on Sales performance.
* Gather business requirements for improvement projects and synthizie them into technical specifications for Business Systems Engineers to build.

### Performance Indicators 
* [Net ARR vs. plan > 1](/handbook/sales/sales-term-glossary/arr-in-practice/#incremental-annual-contract-value-iacv)
* [Net ARR efficiency > 1.0](/handbook/sales/#iavc-efficiency-ratio)
* [System Roll Out vs Plan](/handbook/business-technology/metrics/#system-roll-out-vs-plan)

### Staff Business Systems Administrator

The Staff Business Systems Administrator role extends the Senior Business Systems Administrator role.

#### Job Grade

The Staff Business Systems Administrator is a [grade 8](/handbook/total-rewards/compensation/compensation-calculator/#gitlab-job-grades).

#### Requirements
* Demonstrated progressive experience in a Business Systems Administrator role.
* Demonstrated progressive experience in Sales Operations, Business Operations, or Business Systems role.
* Received or pursuing the Salesforce.com Advanced Administrator certification or Salesforce.com Architect certification.
* Demonstrated ownership of the state and vision for an Salesforce.com instance.
* Excellent project management and stakeholder management skills.
* Self-starter that thrives with autonomy.
* Ability to mentor and grow Junior Business Systems Administrators or direct people management experience.
* You share our [values](/handbook/values/), and work in accordance with those values.
* [Leadership at GitLab](/handbook/leadership/#management-group)
* Ability to use GitLab

### Responsibilities
* Mentor and Grow Business Systems Administrators.
* Own the state and vision of the Salesforce.com instance.
* Oversee the configuration and support of our suite of Sales Tools, being the go-to person for any questions or improvement ideas.
* Build enhancements with Salesforce.com configuration such as workflow rules, validation rules, process builder and lightning components.
* Expert knowledge on the use of Salesforce.com objects such as Accounts, Contacts, Leads, Opportunities, Quotes, and Campaigns.

### Performance Indicators 
* [Net ARR vs. plan > 1](/handbook/sales/sales-term-glossary/arr-in-practice/#incremental-annual-contract-value-iacv)
* [Net ARR efficiency > 1.0](/handbook/sales/#iavc-efficiency-ratio)
* [System Roll Out vs Plan](/handbook/business-technology/metrics/#system-roll-out-vs-plan)

## Manager, Sales Systems

### Responsibilities
* Chief administrator of all sales systems.
* Manage the day to day upkeep of Salesforce including system administration, support, implementation of data governance and partnering with IT to ensure compliance with user security standards and policies.
* Handle all Sales Systems issue intake, maintain issue priority inside miletones and guide release management to close milestones. 
* Play the role of sales systems spokesperson and run prioritization meetings, working and engaging with stakeholders, demonstrated by interpersonal excellence with all levels of seniority  from middle management to board level.
* Delegate issues  to admins & engineering team / members, tackle the issue directly and building processes in Salesforce as needed.
* Run the Sales Systems's agile development process, demonstrate ability to be a scrum master of scrum masters.
* Be an advocate for Sales Systems work and release, collaborate with field communications on value delivered.
* Build, lead, manage a team of Business Systems professionals and hold regular [1:1's](/handbook/leadership/1-1/) with all members of their team.
* Help drive business system strategy and direction across Sales, Marketing, Quote to Cash as a cross-functional team.
* Lead foundational projects and optimize current business processes (e.g. CPQ/QTC) in parternship with operations teams to scale for growth and efficiency.
* Facilitate successful implementation of new technology and processes, fostering an organization of continuous business process improvement.
* Partner with business users to lead the implementation of strategic projects critical to scaling the Go-To-Market process.

### Requirements
* BA/BS degree.
* Past experience in a business and/or systems role.
* Salesforce.com expert including validation rules, workflow, formulas, sandbox and customization of all standard and custom objects.
* Demonstrated ability to drive cross-functional teams to meet business objectives and influence colleagues, fostering strong working relationships.
* Strong strategic thinking, creative problem solving and analytical skills.
* Excellent problem solving, project management, interpersonal and organizational skills.
* Certified Salesforce.com Administrator and/or Force.com Developer.
* SaaS and B2B experience preferred.
* Interest in GitLab, and open source software.
* You share our values, and work in accordance with those values.
* Ability to thrive in a fully remote organization.
* Leadership at GitLab.
* Ability to use GitLab.

### Performance Indicators 
* [Net ARR vs. plan > 1](/handbook/sales/sales-term-glossary/arr-in-practice/#incremental-annual-contract-value-iacv)
* [Net ARR efficiency > 1.0](/handbook/sales/#iavc-efficiency-ratio)
* [System Roll Out vs Plan](/handbook/business-technology/metrics/#system-roll-out-vs-plan)

## Career Ladder

The Business Systems Adminstrator Job Family would move into the [Sales Systems Leadership](/job-families/sales/senior-manager-sales-systems/) Job Family.

### Hiring Process

Applicants for this position can expect the hiring process to follow the order below. Please keep in mind that applicants can be declined from the position at any stage of the process.
To learn more about someone who may be conducting the interview, find their job title on our [team page](/company/team/).

- Selected candidates will be invited to schedule a 30min [screening call](/handbook/hiring/interviewing/#screening-call) with one of our Global Recruiters
- Next, candidates will be invited to schedule a first interview with the Hiring Manager
- Next, candidates will be invited to interview with 2-5 team members
- There may be a final executive interview 

Additional details about our process can be found on our [hiring page](/handbook/hiring/).
